%define oname	rootactions_servicemenu

Name:		kde-rootactions-servicemenu
Version:	2.9
Release:	%mkrel 2
Summary:	Root actions for Dolphin context menu
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.kde-look.org/content/show.php/Root+Actions+Servicemenu?content=48411
Source0:	https://dl.opendesktop.org/api/files/download/id/1466046059/48411-%{oname}_%{version}.tar.gz
# adapt for kdesu in /usr/libexec/kf5/kdesu
Patch0:		rootactions-2.9-mga-kdesu.patch
BuildArch:	noarch
BuildRequires:	kf5-macros

Requires:	plasma-workspace
Requires:	kde-cli-tools
Recommends:	kdialog
Recommends:	krename

%description
Root Actions servicemenu provides a convenient way to perform
several actions 'as root', from the right-click context menu in KF5
filemanager.

%prep
%setup -q -n %{oname}_%{version}
%autopatch -p1

%build

%install
install -d -m 755 %{buildroot}%{_kf5_bindir}
install -m 755 Root_Actions_%{version}/*.pl %{buildroot}%{_kf5_bindir}

install -d -m 755 %{buildroot}%{_kf5_services}/ServiceMenus
install -m 644 Root_Actions_%{version}/dolphin-KDE4/* %{buildroot}%{_kf5_services}/ServiceMenus

%files
%doc README changelog
%{_kf5_bindir}/rootactions-servicemenu.pl
%{_kf5_services}/ServiceMenus/10-rootactionsfolders.desktop
%{_kf5_services}/ServiceMenus/11-rootactionsfiles.desktop


%changelog
* Wed Aug 24 2016 daviddavid <daviddavid> 2.9-2.mga6
+ Revision: 1048589
- recommends krename and kdialog instead

* Sat Jul 30 2016 daviddavid <daviddavid> 2.9-1.mga6
+ Revision: 1043997
- new version: 2.9
- update URL and Source URL
- rename and redo kdesu patch
- add two missing Requires on kdialog and krename

* Tue Mar 15 2016 barjac <barjac> 2.8.7-1.mga6
+ Revision: 991046
- new version 2.8.7

* Mon Feb 01 2016 umeabot <umeabot> 2.7.3-6.mga6
+ Revision: 930892
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7.3-5.mga5
+ Revision: 744570
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.3-4.mga5
+ Revision: 680976
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.7.3-3.mga4
+ Revision: 506563
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.7.3-2.mga3
+ Revision: 355946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 juancho <juancho> 2.7.3-1.mga3
+ Revision: 343597
- Updated to 2.7.3

* Tue May 10 2011 mikala <mikala> 2.7.1-1.mga1
+ Revision: 97093
- imported package kde-rootactions-servicemenu


* Wed Jul 22 2009 Anssi Hannula <anssi@mandriva.org> 2.4.3-2mdv2010.0
+ Revision: 398558
- obsoletes openasroot-kmenu

* Tue Jul 21 2009 Anssi Hannula <anssi@mandriva.org> 2.4.3-1mdv2010.0
+ Revision: 398438
- initial Mandriva release

